Subject: Re: [PATCH] Documentation: add a planning document for the next CLI revamp

From: Pierre Habouzit <[email-masked]>
Date: Mon, 03 Nov 2008 14:47:22 +0100

On Sun, Nov 02, 2008 at 09:53:44PM +0000, Junio C Hamano wrote:
> Pierre Habouzit <[email-masked]> writes:
> >   * git-send-email should be either more interactive, or less: either
> >     just use the damn configuration, or propose a mode where it spawns
> >     an editor for each patch so that you can add further comments.
> 
> In principle I'd agree, but I use send-email non-interactively myself (I
> type Meta/SE where Meta is an independent checkout of my 'todo' branch),
> so I am not sure if the "just use the configuration" is an added
> requirement.  I also have this in .git/config in the repo:
> 
>         [sendemail]
>                 smtpserver = /usr/bin/msmtp
>                 to = [email-masked]
>                 suppressfrom
>                 signedoffcc = false

Well with my patches it goes _more_ interactive on request only, so that
wouldn't break your setup (you have to explicitely pass --annotated
and/or --compose). Okay arguably not the feature that auto enables
--compose on series of more than 1 patch, but you can redirect
send-email to | cat or pass --no-compose for that. Or we can drop that
bit of the patch if people find it too cumbersome, I can put that in an
alias I don't really care.

I really _care_ about not breaking send-email for its previous uses.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org